package com.barrelsofdata.examples.beam.streaming.sensor.function;

import com.barrelsofdata.examples.beam.streaming.sensor.model.Data;
import com.barrelsofdata.examples.beam.streaming.sensor.model.RawEvent;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class RawExtractKeysTest {
    @Test
    void testValid() {
        String id = "testId1";
        Data testData = new Data(1698489173051L, 10.0);
        RawEvent testRawEvent = new RawEvent(id, testData);

        ExtractKeys extractKeys = ExtractKeys.of();
        String extracted = extractKeys.apply(testRawEvent);

        assertEquals(id, extracted);
    }
}