package com.barrelsofdata.examples.beam.streaming.sensor.function;

import com.barrelsofdata.examples.beam.streaming.sensor.model.RawEvent;
import org.apache.beam.sdk.transforms.SimpleFunction;

/**
 * Extracts id as keys from {@link RawEvent}
 */
public class ExtractKeys extends SimpleFunction<RawEvent, String> {

    @Override
    public String apply(RawEvent input) {
        return input.id();
    }

    public static ExtractKeys of() {
        return new ExtractKeys();
    }
}
