package com.barrelsofdata.examples.beam.streaming.sensor.model;

import java.io.Serializable;

public record RawEvent(String id, Data data) implements Comparable<RawEvent>, Serializable {
    @Override
    public int compareTo(RawEvent rawEvent) {
        return (int) (this.data().ts() - rawEvent.data().ts());
    }
}