package com.barrelsofdata.examples.beam.streaming.sensor.util;

import org.apache.beam.sdk.options.PipelineOptions;
import org.apache.beam.sdk.options.PipelineOptionsFactory;

/**
 * Builds pipeline options from java program arguments
 */
public class PipelineOptionsBuilder<T> {
    private PipelineOptionsBuilder() {}

    public static <T extends PipelineOptions> T from(String[] args, Class<T> cls) {
        return PipelineOptionsFactory.fromArgs(args).withValidation().as(cls);
    }
}
